Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 517572 - sys-kernel/genkernel-next-64 stable request
Summary: sys-kernel/genkernel-next-64 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Ettore Di Giacinto
URL:
Whiteboard: Was: sys-kernel/genkernel-next doesn'...
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2014-07-20 15:32 UTC by Fabio Coatti
Modified: 2020-04-06 20:47 UTC (History)
11 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
early-boot-debug-plymouth-0.9.0.log (bug,8.48 KB, text/plain)
2015-02-01 16:04 UTC, PhobosK
no flags Details
Broken plymouth boot (Bildschirmfoto15.png,300.40 KB, image/png)
2015-07-20 17:11 UTC, Heiko Schäfer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Coatti 2014-07-20 15:32:26 UTC
Hi all, I'm using plymouth in my boot process, however plymouth-0.9.0 fail to show splash theme (I'm using solar). Reverting to 0.8.8-r5 makes things work again.
(poweroff screen never worked, but this is another issue :) )
I'm using systemd-215-r1, linux (vanilla) 3.15.6 sys-kernel/genkernel-next-58

COnfiguration is done thru genkernel.conf:

# Installs, or not, plymouth into the initramfs. If "splash" will be
# passed at boot, plymouth will be activated.
PLYMOUTH="yes"

# Embeds the given plymouth theme into the initramfs.
PLYMOUTH_THEME="solar"



boot params:
root=/dev/mapper/vg0-root ro acpi_osi="!Windows 2012" i915.modeset=1 dolvm init=/usr/lib/systemd/systemd quiet splash 


Reproducible: Always




Portage 2.2.10 (default/linux/amd64/13.0/desktop/kde/systemd, gcc-4.8.3, glibc-2.19-r1, 3.15.6 x86_64)
=================================================================
System uname: Linux-3.15.6-x86_64-Intel-R-_Core-TM-_i5-3427U_CPU_@_1.80GHz-with-gentoo-2.2
KiB Mem:     8094864 total,   4963376 free
KiB Swap:    8386556 total,   8386556 free
Timestamp of tree: Sat, 19 Jul 2014 14:15:01 +0000
ld ld di GNU (GNU Binutils) 2.24
app-shells/bash:          4.2_p47
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.7, 3.2.5-r4, 3.3.5, 3.4.1
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.15 (virtual/os-headers)
sys-libs/glibc:           2.19-r1
Repositories: gentoo hacking-gentoo mysql overlay
Installed sets: @kde-4.13
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -mtune=native -O2 -pipe "
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/themes/oxygen-gtk/gtk-2.0 /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -mtune=native -O2 -pipe "
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync metadata-transfer news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="it_IT.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/hacking-gentoo /var/lib/layman/mysql /usr/overlay"
USE="3dnow 3dnowext 3dnowprefetch X \ a52 aac aalib acl acpi aim alsa amd64 apng ares asf ati audio audiofile avahi bash-completion berkdb bidi bl branding bri bzip2 cairo caps ccdda cdda cdr cjk cli cracklib crypt cups curl cxx dba dbus declarative device-mapper dga divx divx4linux dparanoia dri dts dv dvb dvd dvdr dvdread eap-sim edl embedded emboss encode ethereal exif expat faad fam fame fbcon ffmpeg fftw firefox flac force-cgi-redirect fortran ftp gallium garmin gd gdbm gif gimp gmedia gmp gnutls gphoto2 gpm gps gsm gtk h264 h323 iconv icq icu idn ifp ilbc imagemagick imap innodb ipod iproute2 ipv6 ithreads jabber java javascript joystick jpeg kde kipi kontact kvm lastfm lcms ldap libcaca libnotify libvirtd live lm_sensors lua lvm lxc lzma lzo mad maildir matroska mbox mdnsresponder-compat mhash mime mjpeg mmap mmx mmxext mng modules mozdevelop mozilla mp3 mp4 mpeg msn mtp multilib mysql ncurses nepomuk network networkmanager new-hpcups nfsv4 njb nls nptl nptlonly nsplugin offensive ofx ogg oggvorbis ogm openal openexr opengl openmp oscar pam pango parted pcap pcre pdf phonon php plasma plotutils png policykit ppds pulseaudio qemu qt3support qt4 readline real rtc ruby samba sasl sdl semantic-desktop session sha512 sip slang slp smartcard sndfile snmp sox speex spell srt sse sse2 ssh ssl ssse3 startup-notification svg symlink systemd tcltk tcpd theora threads tiff tk tremor truetype udev udisks unicode upower usb utempter v4l v4l2 vaapi vcd vde vhosts video videos vim-syntax virt-network virtualbox vorbis wav webkit wifi wimax wmf wmp wps wxwidgets wxwindows x264 xanim xattr xcb xcomposite xface xft xine xinerama xml xosd xpm xscreensaver xsl xulrunner xv xvid zlib zpm" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DRACUT_MODULES="btrfs crypt crypt-gpg crypt-loop lvm plymouth systemd" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="it en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2 python3_3 python3_4" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby19 ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Comment 1 Enrico Tagliavini 2014-07-21 07:55:22 UTC
Hi Fabio,

I suppose genkernel-next can do a debug or verbose log of what's happening during the execution of the initramfs. I'm afraid I have no idea how. I use dracut, with the solar theme and plymouth 0.9.0 and works for me.

Please provide this debug log.

Cheers
Enrico
Comment 2 Leho Kraav (:macmaN @lkraav) 2014-08-01 22:11:14 UTC
I am also experiencing plymouth-0.9.0 not showing splash nor asking cryptroot password at bootup. initramfs built with dracut-038. Everything's been working dandy on plymouth-0.8.8 for months.
Comment 3 Enrico Tagliavini 2014-08-02 10:03:38 UTC
CC-ing lxnay just in case the bug is in genkernel-next and not in plymouth (do you use playmouth 9 with genkernel-next btw?).

@Leho can you compile dracut and plymouth with debug USE flag enabled and post debug logs for both please? For me it works very well and I have crypto as well. Also what's your graphic card and which drivers are you using for it (KMS vs. proprietary drivers vs (u)vesafb vs simple frambeuffer). Please share some more details.

For reference I test with Intel KMS, no FB since KMS provides fb as well.
Comment 4 Leho Kraav (:macmaN @lkraav) 2014-08-02 10:05:49 UTC
(In reply to Enrico Tagliavini from comment #3)
> 
> @Leho can you compile dracut and plymouth with debug USE flag enabled and
> post debug logs for both please? For me it works very well and I have crypto
> as well. Also what's your graphic card and which drivers are you using for
> it (KMS vs. proprietary drivers vs (u)vesafb vs simple frambeuffer). Please
> share some more details.
> 
> For reference I test with Intel KMS, no FB since KMS provides fb as well.

I run dracut off git checkout, although recent versions I guess are stable enough with systemd to be run off portage.

E7440 laptop, standard Intel Haswell gfx. Regular KMS and no other magic involved. Kernel is 3.15.8, fresh off the stove.
Comment 5 Fabio Erculiani (RETIRED) gentoo-dev 2014-08-02 18:34:08 UTC
This bug seems to be related:
https://www.libreoffice.org/bugzilla/show_bug.cgi?id=80553

I confirm that 0.9.0 does not work here as well (Sabayon, genkernel-next), while 0.8.8 did (and 0.8.9_pre1 from sabayon-distro).
Comment 6 Enrico Tagliavini 2014-08-03 11:39:28 UTC
(In reply to Fabio Erculiani from comment #5)
> This bug seems to be related:
> https://www.libreoffice.org/bugzilla/show_bug.cgi?id=80553
> 
> I confirm that 0.9.0 does not work here as well (Sabayon, genkernel-next),
> while 0.8.8 did (and 0.8.9_pre1 from sabayon-distro).

Thank you Fabio I CCed to the bug if a solution comes up I'll look for a backport or version bump.

@Leho about the comment you posted on the freedesktop bugzilla: "Still doesn't work :/" is not going to help Ray to solve the problem. Please post debug logs and information about you setup on the freedesktop bugzilla or just avoid posting useless comments, thanks.
Comment 7 Leho Kraav (:macmaN @lkraav) 2014-08-03 15:18:13 UTC
"Useless" is a subjective conclusion. The bug on FDO had been inactive for two weeks. I'm pretty sure Ray gets *some* use out of the link to our discussion here, information about a testing result with very recent code, and a sign that there's actual interest in the bug getting resolved.

True, I didn't post debug logs. They were too difficult to obtain with the way the bug manifests itself (output just stops, with no keyboard controls available) and I don't have the time resource available right now to go deeper into it. When there's a choice between giving something or nothing at all, life has long proven giving even a small output piece has a higher % change of generating success than just sitting quietly in the corner.

I'm sure you know what you're doing and so do I, so I'd be happy to leave this topic at that. If all the smart people involved aren't already able to figure the whole thing out soon, I'll probably be able to post my debug logs within the next week. Not being lazy or uncooperative at all, it's simply that paying customers need a lot attention.
Comment 8 Enrico Tagliavini 2014-08-03 22:06:23 UTC
(In reply to Leho Kraav (:macmaN @lkraav) from comment #7)
> "Useless" is a subjective conclusion. The bug on FDO had been inactive for
> two weeks. I'm pretty sure Ray gets *some* use out of the link to our
> discussion here, information about a testing result with very recent code,
> and a sign that there's actual interest in the bug getting resolved.

No useless is not subjective at all. You added no information to the bug to be solved, and that's ok don't get me wrong. If you don't have time to post debug logs, fine. But than why the ":/"? This just makes it looking like a provocation to me, which lead me to the "useless" conclusion.

Anyway yes, let's leave the topic there.
Comment 9 Fabio Erculiani (RETIRED) gentoo-dev 2014-10-20 20:42:52 UTC
It is also true that the way plymouth handles logging and debug logging is terrible: no actual way to log the damn thing to a file, little to no logging at all.
Comment 10 Enrico Tagliavini 2014-10-20 21:02:04 UTC
(In reply to Fabio Erculiani from comment #9)
> It is also true that the way plymouth handles logging and debug logging is
> terrible: no actual way to log the damn thing to a file, little to no
> logging at all.

I got quite the opposite impression to be honest. Yes it is messy as hell, since it is 100% undocumented and likely change from release to release, but with dracut I can debug to file with plymouth.debug. This was quite long time ago, so take my words with a grain of salt, but I'm 100% sure I got debug output to file with plymouth 0.9.0. You can also change the file location with plymouth.debug=file:<path>. It is all in src/main.c in case you need to work on it in the future for genkernel-next.
Comment 11 Alexander 2014-10-31 19:49:26 UTC
Hi everyone,

I'm not sure if I have the same problem as Fabio had, but plymouth 0.9.0 and 0.8.8-r4 don't work for me. "plymouthd; plymouth --show-splash" do nothing.
I did everything according to the instructions at the gentoo wiki.

Kernel command line: "BOOT_IMAGE=/kernel-genkernel-x86_64-3.16.5-gentoo-dietconfig root=UUID=3461240b-dc33-4cf9-8575-df15ba795083 ro rootfstype=ext4 noslowusb console=tty1 resume=/dev/sda5 real_init=/usr/lib/systemd/systemd plymouth.debug=stream:/dev/kmsg quiet splash"

plymouth-0.9.0, use "debug gtk libkms pango"
genkernel-next-55, use "plymouth"
systemd-215-r3, use "acl firmware-loader gudev introspection kmod pam policykit python seccomp"

Video: i915

dmesg: http://pastebin.com/aYFQNcGb
Comment 12 Leho Kraav (:macmaN @lkraav) 2015-01-30 11:21:21 UTC
Has anything surfaced here lately about how to get plymouth-0.9.0 working? Alternatively, I may look for a way to get "tribar" theme going on 0.8.8.
Comment 13 PhobosK 2015-02-01 16:04:40 UTC
Created attachment 395328 [details]
early-boot-debug-plymouth-0.9.0.log

It is a complex bug involving udev (in the intramfs) and the plymouth code...

There are a couple of patches/fixes but none of them works properly actually (for me at least)...

The plymouth-9999 has some of the patches incorporated but it doesn't work too at present.

Here is a thread that discusses one of the problems (at least mine) - the new ply seat handling in plymouth...

http://lists.freedesktop.org/archives/plymouth/2014-June/000767.html

For reference my system is:

Grub kernel entry:
kernel /kernel-genkernel-x86_64-3.15.0-gentoo-r1 root=/dev/ram0 real_init=/usr/lib/systemd/systemd ramdisk=8192 crypt_root=/dev/sda2 dolvm real_root=/dev/lvm/root real_resume=/dev/lvm/swap rootfstype=ext4 video=uvesafb:1280x800-32,mtrr:3,ywrap quiet splash

plymouth-0.9.0, use "debug gtk libkms pango"
genkernel-next-60, use "cryptsetup gpg iscsi plymouth"
systemd-218-r2, use "acl cryptsetup curl gcrypt gudev http idn introspection kmod lzma pam policykit python qrcode seccomp ssl"
x11-drivers/nvidia-drivers-346.35, use "X acpi gtk3 multilib tools"

Video: NVIDIA Corporation GF104 [GeForce GTX 460]

I am attaching a part of the early boot debug log of plymouth...
Comment 14 Enrico Tagliavini 2015-02-01 16:57:12 UTC
@PhobosK seems the seat tag is missing from your fb0 hence plymouth ignores it. Quoting (and trimming) your log:
create_seats_for_subsystem:found device /sys/devices/platform/uvesafb.0/graphics/fb0
create_seats_for_subsystem:device is initialized
create_seats_for_subsystem:device doesn't have a seat tag

So it is pretty normal you see no splash. Can you unpack your initramfs and double check the seats rules are included? In the case of dracut that was a bug and it has been fixed. Are you currently using dracut or genkernel to generate the initramfs?

To me, at least about your case (which seems different from what others reported on this bug), is not a plymouth bug. Something is going wrong in the initramfs and th device is not tagged as a seat.
Comment 15 PhobosK 2015-02-01 17:33:21 UTC
Yeah I know why my plymouth is not working (the seat problem) :)

Others like @Alexander seem to have a problem with not initialized devices etc etc... 
Its a complex problem involving udev/systemd and plymouth code itself, so debugging and fixing is very time consuming....

As a whole one of the important and leading problems is the initrd's created...

genkernel-next-60
-----------------
Doesn't include any seat udev rules in initramfs. I added them manually with everything needed but still plymouth 0.9.0 (and git master 9999) got problems with the console input and other problems with seat tagging again. I applied some patches gotten from Ubuntu (http://packages.ubuntu.com/vivid/plymouth) like 007-udev-seat-tag, ubuntu-seat-terminal-may-be-null etc (one by one testing with every 0.9.0 and git version), but every of these patches resolved one problem and brought another one :(

dracut-040-r3
-------------
As for the dracut I tested 040-r3 version but it lacks support for uvesafb's user helper v86d, and though I managed to include it in dracut's initramfs, I couldn't manage to add statically to the img file the nodes /dev/zero, /dev/mem and /dev/tty (needed by the helper to run very early in boot - before any udev are settled), so I get a frozen system immediately after boot... That is why I cannot tell if dracut works with plymouth BUT still it is not the gentoo way of creating initramfs img, so plymouth in portage cannot rely on using/working only with dracut....

Since all these tests consume a lot of time I removed dracut and reverted back to plymouth-0.8.8-r5 and now everything is fine...


BTW genkernel-next lacks support for uvesafb too, so I tweaked some of the source to have it...
Comment 16 Fabio Coatti 2015-02-01 20:05:01 UTC
Hi All, 
I tried to include seat rules in genkernel and suddenly the splash screen started to work (at startup, still problems on exit)

Basically the system has:
sys-kernel/genkernel-next-60
sys-boot/plymouth-0.9.0
sys-apps/systemd-218-r2

(intel graphic card)

I tweaked 
/usr/share/genkernel/gen_initramfs.sh

adding the rule for seats, that is:


    udev_maybe_files="                                                          
        ${udev_dir}/rules.d/40-gentoo.rules                                     
        ${udev_dir}/rules.d/99-systemd.rules                                    
        ${udev_dir}/rules.d/71-seat.rules                                       
        /etc/modprobe.d/blacklist.conf                                          
        /lib/systemd/network/99-default.link                                    
    "

(71-seat.rules)

and now plymouth-0.9.0 behaves like 0.8.8-r5 (it shows startup screen at least, the shutdown is still missing but this probably is another issue, dunno.

If needed, I can provide other details and debug logs, just let me know.

Thanks.
Comment 17 Enrico Tagliavini 2015-02-04 09:03:41 UTC
Ok since the original reporter confirmed adding the seat rules to the initramfs generated with genkernel-next fixes the problem I'm assigning this bug to the genkernel-next maintainer.
Comment 18 Leho Kraav (:macmaN @lkraav) 2015-03-28 22:49:33 UTC
plymouth-0.9.2 based initramfs seems to work perfectly again. any objections to obsoleting this bug?
Comment 19 Fabio Coatti 2015-03-30 14:11:22 UTC
Not really sure about this. According to this thread, the problem lies more into genkernel-next than in plymouth, and looking at genkernel-next github repo i see no changes applied.
Does anyone has a prior not working setup fixed by plymouth-0.9.2?
I will be able to test this only later...
If genkernel-next still needs to be fixed like in previuos comments, I can perform a pull request, just let me know.

Anyway, I'll try with plymouth 0.9.2 in a short while, it will be great to find it fixed my issue :)
Comment 20 Andrzej Kardas 2015-05-24 12:49:20 UTC
I checked today with sys-boot/plymouth-0.9.2, sys-apps/systemd-219_p112,  sys-kernel/genkernel-next-63 (today's update) still 71-seat.rules is missing in genkernel script, and the outcome of generated initramfs is same as it was before no plymouth on boot, restart or shutdown. 
After applying a fix from commment #c16, I have both integrated intel gfx and pci-e nvidia (using separate kernels to boot using different gfx driver) I boot the system with i915 Intel, nouveau and proprietary nvidia (if I'm correct the last one is using vesa for showing plymouth instead of kms)  with the fix plymouth is showing on boot, but not at shutdown and restart. I also noticed that with proprietary nvidia i'm totaly unable to provide password for encryptyd volumes which makes plymouth unusable to boot the system, on kms drivers providing passwords via plymouth for encrypted volumes is working nice.
I just wonder why it's working well for some of you?
Comment 21 Heiko Schäfer 2015-07-20 15:37:35 UTC
Hi,

with 71-seat.rules included as in comment #16 the solar splash appears on my system (VirtualBox and genkernel-next-63) too, but - despite loglevel=3 and quiet - I get

* a blinking cursor
* random: nonblocking pool is initialized
* vboxguest kernel module messages

than most of the screens gets blacked out. The sun at the right lower border remains, some white dots (stars?) are splattered on the black area and the progress bar in the middle continues to run.

I tried a lot of things to get the kernel silent completely but to no avail.

Finally I get a correct agetty with /etc/issue displayed and all of the splash disappeared as it should be. I don't boot into the graphical.target, since I mostly work in a ssh session from my host.

BTW: there seems no more commits on genekernel-next's Github repo :-O
Comment 22 Heiko Schäfer 2015-07-20 17:11:23 UTC
Created attachment 407284 [details]
Broken plymouth boot

Screenshot of the broken plymouth
Comment 23 Enrico Tagliavini 2015-07-20 18:04:44 UTC
(In reply to Heiko Schäfer from comment #22)
> Created attachment 407284 [details]
> Broken plymouth boot
> 
> Screenshot of the broken plymouth

This is another bug, unrelated to the current one. In your case it looks like either the vbox framebuffer driver is going mad or plymouth is very confused when dealing with it.

My kernel is not silent as well when booting, and I keep it at is on purpose. Still I can't see those messages if I have plymouth enabled, I have to unhide them. You don't need a silent kernel to have the splash screen. You have something else wrong happening and, by accident, you can see under the splash screen. I advise you to get in touch with plymouth upstream and possibly also with vbox devs.
Comment 24 avx 2015-11-10 13:03:29 UTC
I just spend over a day hunting down the problem of the splash not showing up, only to find that adding the single line with th seat.rules solves it (for me). This is now broken for over a year, if this isn't conidered a proper fix, could we at least get a ewarn/einfo of some sort to tell people about this?
Comment 25 Fabio Coatti 2015-11-11 17:03:25 UTC
Meanwhile, I created a pull request to fix this issue, even if it seems that github repo is not very active..
Comment 26 Ettore Di Giacinto gentoo-dev 2016-03-07 10:55:07 UTC
Cutted a new release with the patch: https://github.com/Sabayon/genkernel-next/releases/tag/v64
Comment 27 Ettore Di Giacinto gentoo-dev 2016-04-12 10:28:45 UTC
The new version is available in the sabayon overlay
Comment 28 Agostino Sarubbo gentoo-dev 2016-06-10 15:35:13 UTC
amd64 stable
Comment 29 Agostino Sarubbo gentoo-dev 2016-06-25 20:33:34 UTC
x86 stable
Comment 30 Agostino Sarubbo gentoo-dev 2016-07-06 09:36:07 UTC
ppc stable
Comment 31 jon R-B 2016-09-17 15:23:39 UTC
NOTE: I have plymouth working using openrc. A stripped seat.rules to ensure /dev/fb0 has a seat tag is all that is needed

emerge plymouth dracut -va

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sys-boot/plymouth-0.9.2::gentoo  USE="gtk libkms pango static-libs -debug -gdm" 0 KiB
[ebuild   R    ] sys-kernel/dracut-044::gentoo  USE="-debug (-selinux) -systemd" 274 KiB
Comment 32 Timelord 2016-09-23 18:24:18 UTC
(In reply to jon R-B from comment #31)
> NOTE: I have plymouth working using openrc. A stripped seat.rules to ensure
> /dev/fb0 has a seat tag is all that is needed
> 
> emerge plymouth dracut -va
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies... done!
> [ebuild   R    ] sys-boot/plymouth-0.9.2::gentoo  USE="gtk libkms pango
> static-libs -debug -gdm" 0 KiB
> [ebuild   R    ] sys-kernel/dracut-044::gentoo  USE="-debug (-selinux)
> -systemd" 274 KiB

Hi, can you elaborate a bit further on this fix? I'm not using dracut. Many thanks!
Comment 33 henning.f 2016-11-20 22:17:09 UTC
I just created the file /lib/udev/rules.d/71-seat.rules and added the following to it: 

ACTION=="remove", GOTO="seat_end"

TAG=="uaccess", SUBSYSTEM!="sound", TAG+="seat"
SUBSYSTEM=="sound", KERNEL=="card*", TAG+="seat"
SUBSYSTEM=="input", KERNEL=="input*", TAG+="seat"
SUBSYSTEM=="graphics", KERNEL=="fb[0-9]*", TAG+="seat", TAG+="master-of-seat"
SUBSYSTEM=="drm", KERNEL=="card[0-9]*", TAG+="seat", TAG+="master-of-seat"
SUBSYSTEM=="usb", ATTR{bDeviceClass}=="09", TAG+="seat"

LABEL="seat_end"

And reran genkernel-next. It is now working with OpenRC. 

I just cut out the first part of the systemd 71-seat.rules file, it might be possible to slim it down to just the fb line.
Comment 34 Agostino Sarubbo gentoo-dev 2016-12-28 08:34:13 UTC
Dear Maintainer (or who is mainly involved in this stable request),

This is an auto-generated message that will move the current component to the new component Stabilization.
To ensure that the stabilization will proceed correctly, please fill the fields "Atoms to stabilize" and "Runtime testing required" as described here:
https://archives.gentoo.org/gentoo-dev/message/4b2ef0e9aa7588224b8ae799c5fe31fa
Comment 35 Pacho Ramos gentoo-dev 2016-12-30 12:27:48 UTC
Remaining arches should jump to bug 603482